# Uses of Interface
java.nio.file.DirectoryStream

Packages that use DirectoryStream
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of DirectoryStream in java.nio.file

Subinterfaces of DirectoryStream in java.nio.file
Modifier and Type
Interface
Description
`interface`
`SecureDirectoryStream<T>`
A `DirectoryStream` that defines operations on files that are located relative to an open directory.
Methods in java.nio.file that return DirectoryStream
Modifier and Type
Method
Description
`static DirectoryStream<Path>`
Files.`newDirectoryStream(Path dir)`
Opens a directory, returning a `DirectoryStream` to iterate over all entries in the directory.
`static DirectoryStream<Path>`
Files.`newDirectoryStream(Path dir, String glob)`
Opens a directory, returning a `DirectoryStream` to iterate over the entries in the directory.
`static DirectoryStream<Path>`
Files.`newDirectoryStream(Path dir, DirectoryStream.Filter<? super Path> filter)`
Opens a directory, returning a `DirectoryStream` to iterate over the entries in the directory.

## Uses of DirectoryStream in java.nio.file.spi

Methods in java.nio.file.spi that return DirectoryStream
Modifier and Type
Method
Description
`abstract DirectoryStream<Path>`
FileSystemProvider.`newDirectoryStream(Path dir, DirectoryStream.Filter<? super Path> filter)`
Opens a directory, returning a `DirectoryStream` to iterate over the entries in the directory.